%define __libtoolize :
%global momorel 6
%global md5sum_src0 96acec41da87d6ee0ef18e1aab36ffdd
%global minor_ver 5

Summary: programming language Erlang
Name: erlang
Version: R11B
Release: %{momorel}m%{?dist}
License: "ERLANG PUBLIC LICENSE"
Group: Development/Languages
URL: http://www.erlang.org/
%NoSource 0 http://www.erlang.org/download/otp_src_%{version}-%{minor_ver}.tar.gz %{md5sum_src0}

# patches from Fedora
Patch10: otp-links.patch
Patch11: otp-install.patch
Patch12: otp-rpath.patch
Patch13: otp-sslrpath.patch
Patch14: otp-run_erl.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: flex
BuildPreReq: java-1.5.0-gcj-devel
BuildPreReq: m4
BuildPreReq: ncurses-devel
BuildPreReq: openssl-devel
BuildPreReq: tcl-devel
BuildPreReq: tk-devel
BuildPreReq: unixODBC-devel

%description
Erlang is a programming language designed at the Ericsson Computer
Science Laboratory. Open-source Erlang is being released to help
encourage the spread of Erlang outside Ericsson.

%prep
%setup -q -n otp_src_%{version}-%{minor_ver}

%patch10 -p1 -b .links
%patch11 -p1 -b .install
%patch12 -p1 -b .rpath
%patch13 -p1 -b .sslrpath
#%%patch14 -p1 -b .run_erl

%build
./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --without-perfctr \
    --enable-smp-support \
    --enable-threads

%make

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
make install INSTALL_PREFIX=%{buildroot}

# change path "%%{buildroot}" to ""
sed "s,%{buildroot},," -i %{buildroot}/%{_libdir}/erlang/bin/erl
sed "s,%{buildroot},," -i %{buildroot}/%{_libdir}/erlang/bin/start
sed "s,%{buildroot},," -i %{buildroot}/%{_libdir}/erlang/erts-5.5.5/bin/erl
sed "s,%{buildroot},," -i %{buildroot}/%{_libdir}/erlang/erts-5.5.5/bin/start
sed "s,%{buildroot},," -i %{buildroot}/%{_libdir}/erlang/releases/RELEASES

# change absolute symlink to related
pushd %{buildroot}/%{_bindir}
for file in dialyzer epmd erl erlc run_erl to_erl
do
    ln -sf ../%{_lib}/erlang/bin/$file $file
done
popd

pushd %{buildroot}/%{_libdir}/erlang/bin
ln -sf ../erts-5.5/bin/epmd epmd
popd

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS EPLICENCE README
%{_bindir}/*
%{_libdir}/erlang

%changelog
* Sun Jul  8 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (R11B-6m)
- update to R11B-5

* Sat Jun 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (R11B-5m)
- change BPR from java-sun-j2se1.5-sdk to java-1.5.0-gcj-devel
- import 5 patches from Fedora

* Mon Jan  1 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (R11B-4m)
- second maintainence release R11B-2

* Mon Dec 25 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (R11B-3m)
- support glibc-2.5

* Mon Jul 10 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (R11b-2m)
- revise spec for x86_64
- BuildPreReq: java-sun-j2se1.5-sdk

* Sat Jul  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (R11b-1m)
- initial build
